> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/qatar-id.md).

# Qatar ID

**Note**: Only Qatar ID with contact chip for residents is supported

<table><thead><tr><th width="209">Attribute Level 1</th><th width="228">Attribute Level 2</th><th>Description</th></tr></thead><tbody><tr><td><strong>photo</strong></td><td></td><td>Base64 encoded picture of the user</td></tr><tr><td><strong>signature</strong></td><td></td><td>Base64 encoded picture of the signature<br><strong>Note</strong>: Supported only on SDK version 3.x and above. Available only in the latest version of the QAT id for residents</td></tr><tr><td><strong>personalInformation</strong></td><td></td><td></td></tr><tr><td></td><td><strong>documentNumberArabic</strong></td><td></td></tr><tr><td></td><td><strong>documentNumber</strong></td><td></td></tr><tr><td></td><td><strong>dateOfBirth</strong></td><td></td></tr><tr><td></td><td><strong>homeCityArabic</strong></td><td></td></tr><tr><td></td><td><strong>nationalityArabic</strong></td><td></td></tr><tr><td></td><td><strong>nationality</strong></td><td></td></tr><tr><td></td><td><strong>fullNameArabic</strong></td><td></td></tr><tr><td></td><td><strong>fullName</strong></td><td></td></tr><tr><td></td><td><strong>dateOfExpiry</strong></td><td></td></tr><tr><td></td><td><strong>firstIssueDate</strong></td><td><strong>Note</strong>: Supported only on SDK version 3.x and above. Available only in the latest version of the QAT id for residents</td></tr><tr><td></td><td><strong>bloodType</strong></td><td></td></tr><tr><td></td><td><strong>residencyTypeArabic</strong></td><td></td></tr><tr><td></td><td><strong>residencyType</strong></td><td></td></tr><tr><td></td><td><strong>occupationArabic</strong></td><td></td></tr><tr><td></td><td><strong>passportNumber</strong></td><td></td></tr><tr><td></td><td><strong>sponsorArabic</strong></td><td></td></tr><tr><td></td><td><strong>idType</strong></td><td><strong>Note</strong>: Supported only on SDK version 3.x and above. Available only in the latest version of the QAT id for residents</td></tr><tr><td></td><td><strong>gender</strong></td><td></td></tr><tr><td></td><td><strong>serialNumber</strong></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/qatar-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
